Bug 52502 - Skeleton KDE config not installed by startkde
Summary: Skeleton KDE config not installed by startkde
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kdebase   
(Show other bugs)
Version: 7.3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-08-24 13:27 UTC by Dave Shield
Modified: 2007-04-18 16:36 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-05 20:11:47 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Dave Shield 2001-08-24 13:27:48 UTC
Description of Problem:

Version-Release number of selected component (if applicable):
  2.1.1

How Reproducible:
  Always

Steps to Reproduce:
1. Create a new account - with no .kde directory
2. Populate /etc/skel/.kde/
3. Log in as the new user

Actual Results:
   startkde creates .kde/share/config and sets up
selected files within it (emaildefaults and font
settings in kdeglobals, konquerorrc & kdesktoprc).
But the contents of /etc/skel/.kde aren't copied across.

Expected Results:
   The full contents of /etc/skel/.kde ought to be
installed for the new user.

Additional Information:
   /usr/bin/startkde creates .kde/share/config (line 78) *before*
checking whether to copy across /etc/skel/.kde (lines 90-92)
The second check will then automatically fail.

Creating the config directory ought to be done after copying the
template .kde (but before checking for the emaildefaults file)

Comment 1 Bernhard Rosenkraenzer 2001-08-24 13:40:09 UTC
This is fixed in the current version.


Comment 2 Dave Shield 2002-06-19 09:51:58 UTC
I've just installed RedHat Linux 7.3, and the same problem is still present.
$HOME/.kde is created (line 44 of startkde) *before* checking whether to
copy across /etc/skel/.kde (lines 56-58).  So this later test always fails,
and the skeleton config is never installed.

The "mkdir -p $HOME/.kde/share/config" needs to be moved to come after
the installation of /etc/skel/.kde.   I've tested this, and it does fix
the problem.

Comment 3 Ngo Than 2004-04-05 20:11:47 UTC
it's fixed in current release


Note You need to log in before you can comment on or make changes to this bug.